<?php
/*
 * this is an associative array that contains all the information necessary to connect to the MySQL server / database
 */
$cInfo = array("host" => "localhost", "username" => "mmn1516", "password" => "mmnpassword", "database" => "mmn1516");

$c = mysqli_connect($cInfo['host'], $cInfo['username'], $cInfo['password']);

if (!mysqli_select_db($c, $cInfo['database'])) {
    $createDBQuery = "CREATE DATABASE if not exists " . $cInfo['database'];
    $createDBResult = mysqli_query($c, $createDBQuery);

    // first, check if the creation of the database succeeded (this will definitely fail at the CIP Pool)
    // it could be that your database user does not have the necessary rights to create databases.
    if (!$createDBResult) {
        // print the error so we can find out what went wrong (Google!)
        echo mysqli_error($c);
    } else {
        // let's try to re-select the database, now that we know that it was created.
        // if your user has the necessary rights, you should be able to work with the database right away
        // you can also use phpMyAdmin to see all databases and users.
        mysqli_select_db($c, $cInfo['database']);
    }
}

// initialize the database table.
$createTableQuery = "CREATE TABLE IF NOT EXISTS AddressBook
     (
     ID INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
     FirstName VARCHAR(255) NOT NULL,
     LastName VARCHAR(255) NOT NULL,
     StreetAddress VARCHAR(255) NOT NULL,
     City VARCHAR(255) NOT NULL
     ); ";


$createTableResult = mysqli_query($c, $createTableQuery);
if (!$createTableResult) {
    echo mysqli_error($c);
} else {
    // don't do anything.
}



// first simply check if the "submit" button was clicked. Its name attribute is set to "Save", so this is what we check.
if (isset($_POST['Save'])) {
    // make sure that all the information was submitted and no form input is missing:
    if (isset($_POST['FirstName']) &&
        isset($_POST['LastName']) &&
        isset($_POST['StreetAddress']) &&
        isset($_POST['City'])
    ) {
        $FirstName = $_POST['FirstName'];
        $LastName = $_POST['LastName'];
        $StreetAddress = $_POST['StreetAddress'];
        $City = $_POST['City'];


        // let's check if first name, last name, and city actually contain values.
        // we don't care for the street address.
        if(strlen($FirstName) == 0 ||
            strlen($LastName) == 0 ||
            strlen($City) == 0){
            echo '<div class="notification error">Please fill out the entire form!</div>';
        }
        else{
            $insertContactQuery = "INSERT INTO AddressBook (FirstName, LastName, StreetAddress, City) VALUES('$FirstName', '$LastName', '$StreetAddress', '$City')";
            $insertContactResult = mysqli_query($c, $insertContactQuery);

            if ($insertContactResult) { // the contact was successfully inserted.
                echo '<div class="notification success">Contact ' . $FirstName . ' ' . $LastName . ' successfully inserted into the database.</div>';
            } else { // the insertion somehow failed.
                echo '<div class="notification error">Could not insert ' . $FirstName . ' ' . $LastName . ' into the database.</div>';
            }
        }
    } else { // at least one of the parameters is missing.
        echo '<div class="notification error">Please fill out the entire form!</div>';
    }
}
